Sign inGet started

Message Metrics

GET
/workspaces/{workspaceId}/reporting/messages
Fetch message attributes using various query parameters
Parametry zapytania
periodStart
string
The start of the period for which to fetch metrics
periodEnd
string
The end of the period for which to fetch metrics
filter
string
Filter conditions for which to fetch messages. Each condition is a string in the format of 'equals(field,value)'. Available field-value pairs are
  • channelID - UUID, can supply multiple equals conditions for multiple channelIds
  • campaignID - UUID, can supply multiple equals conditions for multiple campaignIds
  • platformID - string, can supply multiple equals conditions for multiple platforms
    • Common values are 'sms-messagebird', 'email-sparkpost', 'whatsapp', and 'rcs-google'. More are possible and are returned in the response.
  • channelName - string, exact match only.
  • status - string, can supply multiple equals conditions for multiple statuses
    • Allowed values are 'invalid', 'accepted', 'processing', 'sent', 'sending_failed', 'delivered', 'delivery_failed', 'deleted', 'scheduled', or 'skipped'
  • direction - string, message direction
    • Allowed values are 'in', 'out', 'invalid'
  • receiverCountry - string, can supply multiple equals conditions for multiple receiver countries
    • Allowed values are ISO 3166-1 two character country codes
  • channelSenderType - string, can supply multiple equals conditions for multiple channel sender types
    • Allowed values are 'long-code-number', 'short-code-number', 'alpha-number'
  • sender - string, can supply multiple equals conditions for multiple senders
    • Examples include sender phone numbers or email addresses. Exact match only. If '+' is used, it must be URL encoded as '%2B'.
  • failureCodes - string, can supply multiple equals conditions for multiple failure codes
    • Examples include 15001, 14001, 12006 etc
Treść odpowiedzi
Odpowiedź jest tablicą.
ChannelID
string
ChannelName
string
ChannelSenderType
string
CampaignID
string
ChargeableUnits
integer
PartCount
integer
PlatformID
string
Status
string
FailureCode
string
CreatedAt
string
SentAt
string
DeliveredAt
string
Direction
string
From
object
Pokaż atrybuty podrzędne
From.Key
string
From.Value
string
From.CountryCode
string
To
object
Pokaż atrybuty podrzędne
To.Value
array of string
To.CountryCodes
array of string
MessageType
string
ExtraInformation
object
Pokaż atrybuty podrzędne
ExtraInformation.Operator
string
ExtraInformation.MailboxProvider
string
ExtraInformation.MailboxProviderRegion
string
UseCase
string
Activity
object
Pokaż atrybuty podrzędne
Activity.OpenedAt
string
Activity.ClickedAt
string
Przykład kodu
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/reporting/messages' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'